
QGIS Application - Bug report #16909

QGIS LTR frequently crashes when using print composer

2017-07-21 02:29 PM - Daniela Fasler

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.18.4 Regression?: No

Operating System: Windows 32bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 24808

Description

I'm working with print templates. When clicking moving in front/in back the second time, QGIS crashes. I'm also using a group of

elements. Nothing happens when clicking moving in fron/back or one higher until QGIS crashes.

QGIS 2.18.4 cloud

History

#1 - 2017-07-21 02:32 PM - Giovanni Manghi

- Status changed from Open to Feedback

what is QGIS cloud?

it is also the second ticket you file about crashes that are not of course replicable by others.

Please try:

disable/removed all 3rd party plugins

possibly (backup and) delete the .qgis2 folder

attach sample project with data, and in the case of the other ticket the URL of the WMS service.

#2 - 2017-07-21 02:32 PM - Giovanni Manghi

- Priority changed from Normal to High

Also upgrade to 2.18.10

#3 - 2017-07-21 02:41 PM - Daniela Fasler

QGIS is not installed on my computer but in a cloud environment by the IT Service

#4 - 2017-07-21 02:43 PM - Daniela Fasler

sorry about the unreadable files. I was told to include the minidump *.dmp file...

I'll attach a sample project later
#5 - 2017-07-21 03:08 PM - Giovanni Manghi

Daniela Fasler wrote:

QGIS is not installed on my computer but in a cloud environment by the IT Service

I'm really not sure that is something we "support" as a community.

#6 - 2017-07-21 03:57 PM - Daniela Fasler

- Assignee set to Giovanni Manghi

Basically it's QGIS 2.18.4. The cloud thing was set up from sourcepole, you might know them, they're very active in the community (Sandro Mani, Pirmin

Kalberer...).

#7 - 2017-07-21 04:08 PM - Giovanni Manghi

Daniela Fasler wrote:

Basically it's QGIS 2.18.4. The cloud thing was set up from sourcepole, you might know them, they're very active in the community (Sandro Mani,

Pirmin Kalberer...).

they should support it then, right? :)

anyway this could really be a QGIS issue in first place, the project/data with the layout is fundamental to allow us test locally.

#8 - 2017-07-21 04:30 PM - Daniela Fasler

- File AWB_Leitung_L.zip added

- File AWB_Schacht_P.zip added

- File AWB_Schacht_L.zip added

- File AWB_Leitungspunkt_P.zip added

- File test_abwasser.qgs added

Here's an example to test. The shape-files are in the zip. Using the print template test, adding a map and clicking moving in back twice = Crash. Hope it

workes with the files. Thanks.

#9 - 2017-07-21 05:02 PM - Giovanni Manghi

- File Recording #2.mp4 added

Daniela Fasler wrote:

Here's an example to test. The shape-files are in the zip. Using the print template test, adding a map and clicking moving in back twice = Crash.

Hope it workes with the files. Thanks.
see attached cast

#10 - 2017-07-22 01:56 PM - Giovanni Manghi

- Assignee deleted (Giovanni Manghi)

#11 - 2017-07-24 08:48 AM - Daniela Fasler

- File Aufnahme #2.mp4 added

thanks for testing.

also here I've included a screencast from the Crash on my machine.

But probably it just won't work...

#12 - 2017-07-24 11:41 AM - Giovanni Manghi

Daniela Fasler wrote:

thanks for testing.

also here I've included a screencast from the Crash on my machine.

But probably it just won't work...

please try on a different machine, possibly with a QGIS 64 bit clean installation.

#13 - 2017-09-25 04:11 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.

Files

qgis-20170721-142402-19236-20428-59c1d21.zip 3.5 MB 2017-07-21 Daniela Fasler

test_abwasser.qgs 90.8 KB 2017-07-21 Daniela Fasler

AWB_Leitung_L.zip 961 KB 2017-07-21 Daniela Fasler

AWB_Leitungspunkt_P.zip 2.24 MB 2017-07-21 Daniela Fasler

AWB_Schacht_L.zip 4.65 MB 2017-07-21 Daniela Fasler

AWB_Schacht_P.zip 246 KB 2017-07-21 Daniela Fasler

Recording #2.mp4 2.68 MB 2017-07-21 Giovanni Manghi

Aufnahme #2.mp4 2.04 MB 2017-07-24 Daniela Fasler
